import request from '@/utils/request'

// 查询设计列表
export function listWellData (query) {
  return request({
    url: '/jt/jtJygj/list',
    method: 'get',
    params: query
  })
}



// 新增设计
export function addWell (data) {
  return request({
    url: '/jt/jtJygj',
    method: 'post',
    data: data
  })
}

// 修改设计
export function updateWell (data) {
  return request({
    url: '/jt/jtJygj',
    method: 'put',
    data: data
  })
}

// 删除设计
export function delWell (id) {
  return request({
    url: '/jt/jtJygj/' + id,
    method: 'delete'
  })
}

// 查询井位置信息
export function wellPosition (jhdm) {
  return request({
    url: '/jt/jtJygjJkwz/wzxx/' + jhdm,
    method: 'get'
  })
}
// 新增井位置
export function addWellPosition (data) {
  return request({
    url: '/jt/jtJygjJkwz',
    method: 'post',
    data: data
  })
}

// 修改井位置
export function updateWellPosition (data) {
  return request({
    url: '/jt/jtJygjJkwz',
    method: 'put',
    data: data
  })
}


// 井眼曲折度
// 查询井眼曲折度列表
export function listWellboreData (query) {
  return request({
    url: '/jt/jtJyqzd/list',
    method: 'get',
    params: query
  })
}



// 新增井眼曲折度
export function addWellbore (data) {
  return request({
    url: '/jt/jtJyqzd',
    method: 'post',
    data: data
  })
}

// 修改井眼曲折度
export function updateWellbore (data) {
  return request({
    url: '/jt/jtJyqzd',
    method: 'put',
    data: data
  })
}

// 删除井眼曲折度
export function delWellbore (id) {
  return request({
    url: '/jt/jtJyqzd/' + id,
    method: 'delete'
  })
}

// 输出结果
// 查询输出结果列表
export function listOutputResultsData (query) {
  return request({
    url: '/jt/jtJygjJg/list',
    method: 'get',
    params: query
  })
}



// 新增输出结果
export function addOutputResults (data) {
  return request({
    url: '/jt/jtJygjJg',
    method: 'post',
    data: data
  })
}

// 修改输出结果
export function updateOutputResults (data) {
  return request({
    url: '/jt/jtJygjJg',
    method: 'put',
    data: data
  })
}

// 删除输出结果
export function delOutputResults (id) {
  return request({
    url: '/jt/jtJygjJg/' + id,
    method: 'delete'
  })
}

//井眼轨迹-二维视图
export function getTwoView (query) {
  return request({
    url: '/jt/jtJygjJg/jygjEw',
    method: 'get',
    params: query
  })
}
//井眼轨迹-斜深
export function getXsView (query) {
  return request({
    url: '/jt/jtJygjJg/jygjEw_xs',
    method: 'get',
    params: query
  })
}

//井眼轨迹-三维视图
export function getThreeView (query) {
  return request({
    url: '/jt/jtJygjJg/jygjSw',
    method: 'get',
    params: query
  })
}
